API referenceOrder
POST /api/Order/Delete
This endpoint will delete the Orders with the provided IDs.
POST
/api/Order/Deletecurl -X POST "/api/Order/Delete" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
Deleted Orders.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.OrderItemDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"externalId": "string",
"dealId": 0,
"assetId": 0,
"dealTimeZone": 0,
"counterPartyId": 0,
"masterAgreementSelfBilling": 1,
"masterAgreementSelfBillingName": "string",
"iban": "string",
"glAccount": "string",
"dealIbanBankSwift": "string",
"info": "string",
"feeId": 0,
"status": 0,
"statusName": "string",
"cashflow": 0,
"cashflowName": "string",
"startCompensation": "2026-01-15T09:30:00Z",
"endCompensation": "2026-01-15T09:30:00Z",
"notional": 0,
"volume": 0,
"mtm": 0,
"pl": 0,
"amount": 0,
"amountAfterVat": 0,
"vat": 0,
"averagePrice": 0,
"paymentDate": "2026-01-15T09:30:00Z",
"reference": "string",
"createdTime": "2026-01-15T09:30:00Z",
"settlementOrder": 0,
"balancing": true,
"netAmount": 0,
"paidAmount": 0,
"balance": [
0
],
"vatCalculationOption": 1,
"vatCalculationOptionName": "string",
"dealIsSoftDeleted": true
}
]
}